Groovy 1.7.0

## groovy.util
Class ClosureComparator

    java.lang.Object
      groovy.util.ClosureComparator

All Implemented Interfaces:
  Comparator

    class ClosureComparator
    extends Object

A Comparator which uses a closure to compare 2 values being equal

author:
  James Strachan

version:
  $Revision: 16873 $

Field Summary
`Closure` | `closure`

Constructor Summary
`ClosureComparator(Closure closure)`

Method Summary
`int` | `compare(T object1, T object2)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### closure

    Closure closure

Constructor Detail

### ClosureComparator

    public ClosureComparator(Closure closure)

Method Detail

### compare

    public int compare(T object1, T object2)

Copyright © 2003-2009 The Codehaus. All rights reserved.